Package Details: appimagepool-appimage 5.1.0-1

Git Clone URL: https://aur.archlinux.org/appimagepool-appimage.git (read-only, click to copy)
Package Base: appimagepool-appimage
Description: A simple, modern AppImageHub Client, powered by flutter.
Upstream URL: https://github.com/prateekmedia/appimagepool/
Keywords: appimage, appimagepool
Licenses: GPL3
Conflicts: appimagepool
Provides: appimagepool
Submitter: brunomiguel
Maintainer: brunomiguel
Last Packager: brunomiguel
Votes: 1
Popularity: 0.000035
First Submitted: 2021-12-30 16:27 (UTC)
Last Updated: 2023-03-01 19:30 (UTC)

Pinned Comments

brunomiguel commented on 2021-12-30 17:46 (UTC) (edited on 2022-01-24 15:31 (UTC) by brunomiguel)

Binary package available at userrepository

If you're having issues building the package with pamac, check this comment.

Latest Comments

1 2 Next › Last »

brunomiguel commented on 2022-01-24 15:10 (UTC)

It does seem to be something related to sha256sum handling in pamac, @tio

Tio commented on 2022-01-24 13:48 (UTC)

Ok I made it work finally. I had to delete it from /var/tmp/pamac-build-tio/ and now all work fine. Interesting....

Tio commented on 2022-01-24 13:42 (UTC)

Thanks for the link to manjaro's git. I have commented there too. Here's a bin package I can install https://aur.archlinux.org/packages/gmsh-bin and an appimage one https://aur.archlinux.org/packages/joplin-appimage

So these work....I wonder why...

brunomiguel commented on 2022-01-23 00:25 (UTC)

@tio could you share an example of a -bin or -appimage package with a sha*sum that you can build correctly

brunomiguel commented on 2022-01-23 00:24 (UTC)

@tio it seems to be a pamac issue: https://gitlab.manjaro.org/applications/pamac/-/issues/1088

Tio commented on 2022-01-22 23:58 (UTC)

Ah I apologize. I reported 2 issues one with syphon. But I had a simialr checksum error with this package.

Building appimagepool-appimage...
==> Making package: appimagepool-appimage 4.9.9-3 (dom 23 ene 2022 00:58:42)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found appimagepool-x86_64.AppImage
==> Validating source files with sha1sums...
    appimagepool-x86_64.AppImage ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build appimagepool-appimage
Building appimagepool-appimage...
==> Making package: appimagepool-appimage 4.9.9-3 (dom 23 ene 2022 00:58:42)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found appimagepool-x86_64.AppImage
==> Validating source files with sha1sums...
    appimagepool-x86_64.AppImage ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build appimagepool-appimage

brunomiguel commented on 2022-01-22 23:57 (UTC)

@tio syphon-bin is not my package, but it seems to be an issue with pamac. I changed the sum to sha1sum. Could you please test it?

Tio commented on 2022-01-22 23:46 (UTC)

I get errors again:

Building syphon-bin...
==> Making package: syphon-bin 0.2.7-1 (dom 23 ene 2022 00:45:19)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found syphon.linux.x64.tar.gz
==> Validating source files with sha256sums...
    syphon.linux.x64.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build syphon-bin

Tio commented on 2022-01-21 21:01 (UTC)

Only

==> Retrieving sources...
  -> Found appimagepool-x86_64.AppImage
==> Validating source files with sha256sums...
    appimagepool-x86_64.AppImage ... FAILED
==> ERROR: One or more files did not pass the validity check!
Failed to build appimagepool-appimage

brunomiguel commented on 2022-01-21 06:16 (UTC)

@tio does pamac show any info about why it might be failing? Any debug info?